<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> <?php echo e($gnl->title); ?> | <?php echo e($gnl->subtitle); ?> </title>
    <link rel="shortcut icon" href="<?php echo e(asset('assets/images/logo/icon.png')); ?>" type="image/x-icon">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/fontawesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/animate.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/owl.carousel.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/magnific-popup.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/responsive.css')); ?>">
    <link href="<?php echo e(asset('assets/user/css/color.php?color=')); ?><?php echo e($gnl->color); ?>" rel="stylesheet">
</head>

<body> 
    
    
    <!-- navbar area start -->
    <nav class="navbar navbar-area navbar-expand-lg navbar-light ">
        <div class="container nav-container">
            <div class="logo-wrapper navbar-brand">
                <a href="<?php echo e(url('/')); ?>" class="logo main-logo">
                    <img src="<?php echo e(asset('assets/images/logo/logo.png')); ?>" alt="logo" style="max-width:160px;">
                </a>
            </div>
            <div class="collapse navbar-collapse" id="mirex">
                <!-- navbar collapse start -->
                <ul class="navbar-nav">
                    <!-- navbar- nav -->
                    <li class="nav-item active">
                        <a class="nav-link pl-0" href="<?php echo e(url('/')); ?>">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Service">Service</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#About">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Testimonials">Testimonials</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="<?php echo e(route('user.blog')); ?>">Blog</a>
                    </li>
                    
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/')); ?>/contact">Contact</a>
                    </li>
                </ul>
                <!-- /.navbar-nav -->
            </div>
            <div class="right-btn-wrapper">
                <a href="<?php echo e(route('login')); ?>" class="boxed-btn btn-rounded">Advertiser</a>
                <a href="<?php echo e(route('publisher.login')); ?>"  class="boxed-btn btn-rounded">Publisher</a>
            </div>
            
            <div class="responsive-mobile-menu">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mirex" aria-controls="mirex"
                aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
    </div>
</nav>

<div class="header-area header-bg">
    <div class="container">
        <div class="row justify-content-center text-center">
            <div class="col-lg-12">
                <div class="header-inner ">
                    <h1 class="title"><?php echo e($front->banner_heading); ?></h1>
                    <p class="wow fadeInDown"><?php echo $front->banner_details; ?></p>
                    <div class="btn-wrapper">
                        <a href="<?php echo e(route('login')); ?>" class="boxed-btn btn-rounded">JOIN US</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<section class="service-area" id="Service">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="section-title extra">
                    <h2 class="title"><?php echo e($front->service_heading); ?></h2>
                    <p><?php echo $front->service_details; ?></p>
                </div>
            </div>
        </div>
        <div class="row">
            <?php $__currentLoopData = $sliders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-lg-6 col-md-6">
                <div class="single-service-item">
                    <div class="content">
                        <h4 class="title"><?php echo e($item->heading); ?></h4>
                        <p><?php echo $item->details; ?></p>
                    </div>
                </div>
            </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>

<section class="video-area grd-overlay" style="background-image: url(<?php echo e(asset('assets/images/frontend')); ?>/<?php echo e($front->about_image); ?>); background-size: cover;background-position: center;" id="About">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-10">
                <div class="video-area-content">
                    <div class="video-ply-wrapper">
                        <a href="<?php echo e($front->video); ?>" class="video-play-btn mfp-iframe"><i class="fas fa-play"></i></a>
                    </div>
                    <h2 class="title"><?php echo e($front->about_heading); ?></h2>
                    <p><?php echo $front->about_details; ?></p>
                    <div class="btn-wrapper">
                        <a href="<?php echo e(route('login')); ?>" class="boxed-btn btn-rounded">Join Us</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="testimonial-area " id="Testimonials">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="left-content-area">
                    <h3 class="title"><?php echo e($front->testimonial_heading); ?></h3>
                    <p><?php echo $front->testim_details; ?></p>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="right-content-area">
                    <div class="testimonial-carousel" id="testimonial-carousel">
                        <?php $__currentLoopData = $testimonials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                        <div class="single-testimonial-carousel">
                            <div class="author-details">
                                <div class="pro-immage">
                                    <img src="<?php echo e(asset('assets/images/testimonial')); ?>/<?php echo e($item->photo); ?>" alt="testimonial image">
                                </div>
                                <div class="content">
                                    <h4 class="title"><?php echo e($item->name); ?></h4>
                                    <span class="post"><?php echo e($item->heading); ?></span>
                                </div>
                            </div>
                            
                            <div class="description">
                                <p><?php echo $item->details; ?></p>
                            </div>
                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>    
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="achivement-area gray-bg">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="section-title">
                    <h2 class="title"><?php echo e($front->stat_heading); ?></h2>
                    <p><?php echo $front->stat_details; ?></p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-4 col-md-6">
                <div class="single-achivement-item">
                    <div class="number">
                        <span class="num-count"><?php echo e($front->stat1); ?></span><?php echo e($front->stat2); ?>

                    </div>
                    <h4 class="title"><?php echo e($front->stat3); ?></h4>
                </div>
            </div>
            <div class="col-lg-4 col-md-6">
                <div class="single-achivement-item">
                    <div class="number">
                        <span class="num-count"><?php echo e($front->stat4); ?></span><?php echo e($front->stat5); ?>

                    </div>
                    <h4 class="title"><?php echo e($front->stat6); ?></h4>
                </div>
            </div>
            <div class="col-lg-4 col-md-6">
                <div class="single-achivement-item">
                    <div class="number">
                        <span class="num-count"><?php echo e($front->stat7); ?></span><?php echo e($front->stat8); ?>

                    </div>
                    <h4 class="title"><?php echo e($front->stat9); ?></h4>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="faq-area">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8">
                <div class="section-title extra">
                    <h2 class="title"><?php echo e($front->faq_heading); ?></h2>
                    <p><?php echo $front->faq_details; ?></p>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-6">
                <div class="left-content-wrapper">
                    <div id="accordion">
                        <?php $__currentLoopData = $faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                        <?php if($key%2 != 0): ?> 
                        <div class="card">
                            <div class="card-header" id="heading<?php echo e($key); ?>">
                                <a  data-toggle="collapse" data-target="#collapse<?php echo e($key); ?>" aria-expanded="false" aria-controls="collapse<?php echo e($key); ?>">
                                    <?php echo e($faq->heading); ?>

                                </a>
                            </div>
                            
                            <div id="collapse<?php echo e($key); ?>" class="collapse" aria-labelledby="headingOne" data-parent="#accordion">
                                <div class="card-body">
                                    <?php echo $faq->details; ?>

                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="right-content-wrapper">
                    <div id="accordion_2">
                        <?php $__currentLoopData = $faqs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>   
                        <?php if($key%2 == 0): ?>     
                        <div class="card">
                            <div class="card-header" id="heading<?php echo e($key); ?>_2">
                                <a  data-toggle="collapse" data-target="#collapse<?php echo e($key); ?>_2" aria-expanded="false" aria-controls="collapse<?php echo e($key); ?>_2">
                                    <?php echo e($faq->heading); ?>

                                </a>
                            </div>
                            <div id="collapse<?php echo e($key); ?>_2" class="collapse" aria-labelledby="heading<?php echo e($key); ?>_2" data-parent="#accordion_2">
                                <div class="card-body">
                                    <?php echo $faq->details; ?>

                                </div>
                            </div>
                        </div>
                        <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                    </div>
                </div>
            </div>
            <div class="col-lg-12 text-center">
                <div class="btn-wrapper">
                    <a href="<?php echo e(url('/')); ?>/contact" class="boxed-btn btn-rounded">Any question?</a>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- faq area end -->

<section class="marketing-area gray-bg">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-8 text-center">
                <div class="marekting-inner">
                    <h2 class="title">Subscribe Us</h2>
                    <div class="subscribe-form-wapper">
                        <form id="subscribeForm" class="subscribe-form">
                            <?php echo csrf_field(); ?> 
                            <div class="form-element">
                                <input type="email" name="email" class="input-field" placeholder="Enter your email...">
                            </div>
                            <input type="submit" class="submit-btn" value="Subscribe now">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- footer area start -->
<section class="footer-area blue-bg">
    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <div class="footer-widget about"><!-- footer widget -->
                    <div class="widget-body">
                        <a href="<?php echo e(url('/')); ?>" class="footer-logo">
                            <img src="<?php echo e(asset('assets/images/logo/logo.png')); ?>" style="max-width:180px;" alt="footer logo">
                        </a>
                        <p><?php echo $front->footer; ?></p>
                            
                    </div>
                </div><!-- //.footer widget -->
            </div>
            <div class="col-lg-2">
                <div class="footer-widget"><!-- footer widget -->
                    <div class="widget-title">
                        <h4 class="title">Links</h4>
                    </div>
                    <div class="widget-body">
                        <ul>
                            <li><a href="<?php echo e(url('/')); ?>">Home</a></li>
                            <li><a href="#Service">Service</a></li>
                            <li><a href="#About">About</a></li>
                            <li><a href="#Testimonials">Testimonials</a></li>
                            <li><a href="<?php echo e(url('/')); ?>#Contact">Contact</a> </li>
                        </ul>
                    </div>
                </div><!-- //.footer widget -->
            </div>
            
            <div class="col-lg-3">
                <div class="footer-widget contact">
                    <div class="widget-title">
                        <h4 class="title">Latest Posts</h4>
                    </div>
                    <div class="widget-body">
                        <ul>
                            <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><a href="<?php echo e(route('user.blog-post', $item->id)); ?>"> <img src="<?php echo e(asset('assets/images/blog')); ?>/<?php echo e($item->photo); ?>" style="max-width:40px;" alt="blog images">
                               <?php echo e(substr($item->heading, 0,50)); ?></a> </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>  
                        </ul>
                    </div>                   
                </div>
            </div>
            <div class="col-lg-3">
                <div class="footer-widget contact"><!-- footer widget -->
                    <div class="widget-title">
                        <h4 class="title">Contact Us</h4>
                    </div>
                    <div class="widget-body">
                        <ul>
                            <li>  <i class="fa fa-envelope"></i> <?php echo e($front->contact_email); ?></li>
                            <li><i class="fa fa-phone"></i> <?php echo e($front->contact_number); ?></li>
                            <li><i class="fa fa-map"></i> <?php echo $front->contact_address; ?></li>
                        </ul>
                        <ul class="social-icons">
                                <?php $__currentLoopData = $socials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="facebook"><a href="<?php echo e($social->link); ?>" target="_blank"><i class="fab fa-<?php echo e($social->icon); ?>"></i></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>    
                    </div>                   
                </div><!-- //.footer widget -->
            </div>
        </div>
    </div>
</section>
<div class="copyright-area dark-blug-lg">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <span class="copytext"> <?php echo e($gnl->title); ?> &copy; <?php echo e(date('Y')); ?>. All Rights Reserved.</span>
            </div>
        </div>
    </div>
</div>
<!-- footer area end -->

<!-- preloader area start -->
<div class="preloader" id="preloader">
    <div class="preloader-inner">
        <div class="preloader-container">
            <div class="item item-1"></div>
            <div class="item item-2"></div>
            <div class="item item-3"></div>
            <div class="item item-4"></div>
        </div>
    </div>
</div>
<!-- preloader area end -->


<!-- back to top start -->
<div class="back-to-top">
    <i class="fas fa-rocket"></i>
</div>
<!-- back to top end -->

<!-- jquery -->
<script src="<?php echo e(asset('assets/user/js/jquery.js')); ?>"></script>
<!-- popper -->
<script src="<?php echo e(asset('assets/user/js/popper.min.js')); ?>"></script>    
<!-- bootstrap -->
<script src="<?php echo e(asset('assets/user/js/bootstrap.min.js')); ?>"></script>
<!-- way poin js-->
<script src="<?php echo e(asset('assets/user/js/waypoints.min.js')); ?>"></script>
<!-- owl carousel -->
<script src="<?php echo e(asset('assets/user/js/owl.carousel.min.js')); ?>"></script>
<!-- magnific popup -->
<script src="<?php echo e(asset('assets/user/js/jquery.magnific-popup.js')); ?>"></script>
<!-- wow js-->
<script src="<?php echo e(asset('assets/user/js/wow.min.js')); ?>"></script>
<!-- counterup js-->
<script src="<?php echo e(asset('assets/user/js/jquery.counterup.min.js')); ?>"></script>
<!-- main -->
<script src="<?php echo e(asset('assets/user/js/main.js')); ?>"></script>
<script src="<?php echo e(asset('assets/user/sweet/sweetalert.min.js')); ?>"></script>
<script>
    $(document).ready(function(){  
        $(document).on('submit','#subscribeForm',function(event)
        {
            event.preventDefault();
            $.ajax({
                type:"POST",
                url:"<?php echo e(route('subscriber')); ?>",       
                data: new FormData(document.getElementById('subscribeForm')),
                contentType: false,
                processData: false,
                success:function(data)
                {
                    if(data==200)
                    {
                        swal("Success!", "Message Sent Successfully", "success");
                    }
                    else if(data==11)
                    {
                        swal("Sorry!", "Email Already Subscribed", "error");
                    }
                    else if(data==22)
                    {
                        swal("Sorry!", "Email Can Not Be Empty", "error");
                    }
                    else
                    {
                        swal("Sorry!", "An Error Occured", "error");
                    }
                }
            });
        });
    });
</script>  
</body>

</html>