<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> <?php echo e($gnl->title); ?> | <?php echo e($gnl->subtitle); ?> </title>
    <link rel="shortcut icon" href="<?php echo e(asset('assets/images/logo/icon.png')); ?>" type="image/x-icon">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/fontawesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/custom.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/user/css/responsive.css')); ?>">
    <link href="<?php echo e(asset('assets/user/css/color.php?color=')); ?><?php echo e($gnl->color); ?>" rel="stylesheet">
</head>

<body> 
    <nav class="navbar navbar-area navbar-expand-lg navbar-light ">
        <div class="container nav-container">
            <div class="logo-wrapper navbar-brand">
                <a href="<?php echo e(url('/')); ?>" class="logo main-logo">
                    <img src="<?php echo e(asset('assets/images/logo/logo.png')); ?>" alt="logo" style="max-width:160px;">
                </a>
            </div>
            <div class="collapse navbar-collapse" id="mirex">
                <ul class="navbar-nav ml-auto">
                    
                    <?php if(Auth::guard('publisher')->check()): ?>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('publisher.dashboard')); ?>"> Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('publisher.getads')); ?>">Advertisements</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('publisher.withdraw')); ?>">Withdraw</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" 
                        role="button" aria-haspopup="true" aria-expanded="false">
                        <?php echo e(Auth::guard('publisher')->user()->name); ?> <span class="caret"></span></a>
                        <div class="dropdown-menu" role="menu" aria-labelledby="menu1">
                            <a class="dropdown-item" href="<?php echo e(route('publisher.profile-data')); ?>">Profile</a>
                            <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                            onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            Logout </a>
                            <form id="logout-form" action="<?php echo e(route('publisher.logout')); ?>" method="POST" style="display: none;">
                                <?php echo csrf_field(); ?>
                            </form>
                        </div>
                    </li>
                    <?php endif; ?>
                    
                    <?php if(Auth::guard('web')->check() && !Auth::guard('publisher')->check()): ?>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('home')); ?>"> Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('user.transactions')); ?>"> Transaction Log</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('user.plans')); ?>"> Plans</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('user.ads')); ?>"> Advertisements</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('user.balance')); ?>"> Deposit</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown" 
                        role="button" aria-haspopup="true" aria-expanded="false">
                        <?php echo e(Auth::user()->name); ?> <span class="caret"></span></a>
                        <div class="dropdown-menu" role="menu" aria-labelledby="menu1">
                            <a class="dropdown-item" href="<?php echo e(route('user.profile-data')); ?>">Profile</a>
                            <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                            onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
                            Logout </a>
                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                <?php echo csrf_field(); ?>
                            </form>
                        </div>
                    </li>
                    <?php endif; ?>
                    
                    
                    <?php if(!Auth::check() && !Auth::guard('publisher')->check() ): ?>
                    <li class="nav-item">
                        <a class="nav-link pl-0" href="<?php echo e(url('/')); ?>">Home
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/')); ?>#Service">Service</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/')); ?>#About">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/')); ?>#Testimonials">Testimonials</a>
                    </li>
                    
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('user.blog')); ?>">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(url('/contact')); ?>">Contact</a>
                    </li>
                    <?php endif; ?>   
                </ul>
            </div>
            <?php if(!Auth::check()): ?>
            <div class="right-btn-wrapper">
                <a href="<?php echo e(route('login')); ?>" class="boxed-btn btn-rounded">Advertiser</a>
                <a href="<?php echo e(route('publisher.login')); ?>"  class="boxed-btn btn-rounded">Publisher</a>
            </div>
            <?php endif; ?>
            <div class="responsive-mobile-menu">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mirex" aria-controls="mirex"
                aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
    </div>
</nav>

<div id="justify-height">
    <?php echo $__env->yieldContent('content'); ?>
</div>  


<div class="copyright-area dark-blug-lg mt-3">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <span class="copytext"> <?php echo e($gnl->title); ?> &copy; <?php echo e(date('Y')); ?>  All Rights Reserved.</span>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo e(asset('assets/user/js/jquery.js')); ?>"></script>
<script src="<?php echo e(asset('assets/user/js/popper.min.js')); ?>"></script>    
<script src="<?php echo e(asset('assets/user/js/bootstrap.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/user/sweet/sweetalert.min.js')); ?>"></script>
<script>
    $(document).ready(function(){
        var winheight = $(window).height() -71;
        $('#justify-height').css('min-height',winheight+'px');
    });
</script>
<?php echo $__env->make('layouts.sweet', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php echo $__env->yieldContent('page_scripts'); ?>
</body>

</html>